package me.goosemonkey.NoSpawnEggsV2;

import me.goosemonkey.NoSpawnEggsV2.NoSpawnEggs.PluginVersion;

import org.bukkit.plugin.java.JavaPlugin;

public class ConfigLocale extends ConfigAbstract
{
	public ConfigLocale(JavaPlugin inst)
	{
		super(inst);
	}

	@Override
	public String getHeader()
	{
		return "";
	}

	@Override
	public void setDefaultValues()
	{
		this.checkSet("entity.EID0", "Entity", PluginVersion.LIGHT);
		
		this.checkSet("entity.EID50", "Creeper", PluginVersion.LIGHT);
		this.checkSet("entity.EID51", "Skeleton", PluginVersion.LIGHT);
		this.checkSet("entity.EID52", "Spider", PluginVersion.LIGHT);
		this.checkSet("entity.EID54", "Zombie", PluginVersion.LIGHT);
		this.checkSet("entity.EID55", "Slime", PluginVersion.LIGHT);
		this.checkSet("entity.EID56", "Ghast", PluginVersion.LIGHT);
		this.checkSet("entity.EID57", "Zombie Pigman", PluginVersion.LIGHT);
		this.checkSet("entity.EID58", "Enderman", PluginVersion.LIGHT);
		this.checkSet("entity.EID59", "Cave Spider", PluginVersion.LIGHT);
		this.checkSet("entity.EID60", "Silverfish", PluginVersion.LIGHT);
		this.checkSet("entity.EID61", "Blaze", PluginVersion.LIGHT);
		this.checkSet("entity.EID62", "Magma Cube", PluginVersion.LIGHT);
		
		this.checkSet("entity.EID90", "Pig", PluginVersion.LIGHT);
		this.checkSet("entity.EID91", "Sheep", PluginVersion.LIGHT);
		this.checkSet("entity.EID92", "Cow", PluginVersion.LIGHT);
		this.checkSet("entity.EID93", "Chicken", PluginVersion.LIGHT);
		this.checkSet("entity.EID94", "Squid", PluginVersion.LIGHT);
		this.checkSet("entity.EID95", "Wolf", PluginVersion.LIGHT);
		this.checkSet("entity.EID96", "Mooshroom", PluginVersion.LIGHT);
		this.checkSet("entity.EID98", "Ocelot", PluginVersion.LIGHT);
		
		this.checkSet("entity.EID120", "Villager", PluginVersion.LIGHT);

		this.checkSet("message.reloaded", "NoSpawnEggs configuration reloaded.", PluginVersion.LIGHT);
		this.checkSet("message.noReloadPerms", "You don't have permission.", PluginVersion.LIGHT);
		this.checkSet("message.version", "NoSpawnEggs version %s.", PluginVersion.LIGHT);
		this.checkSet("message.noSpawnerEggPerms", "You don't have permission to spawn this %s.", PluginVersion.LIGHT);
		this.checkSet("message.noSnowGolemPerms", "You don't have permission to create Snow Golems.", PluginVersion.MODERATE);
		this.checkSet("message.noIronGolemPerms", "You don't have permission to create Iron Golems.", PluginVersion.MODERATE);
		this.checkSet("message.noChickenEggPerms", "You don't have permission to spawn Chickens with eggs.", PluginVersion.MODERATE);
		this.checkSet("message.noExpBottlePerms", "You don't have permission to throw Bottles of Enchanting.", PluginVersion.FULL);
		this.checkSet("message.noEnderEyePerms", "You don't have permission to throw Eyes of Ender.", PluginVersion.FULL);
		this.checkSet("message.noEnderPearlPerms", "You don't have permission to throw Ender Pearls.", PluginVersion.FULL);
		this.checkSet("message.noBoatPerms", "You don't have permission to place boats.", PluginVersion.FULL);
		this.checkSet("message.noMinecartPerms", "You don't have permission to place minecarts.", PluginVersion.FULL);
	}

	@Override
	public String getName()
	{
		return "Locale";
	}
}
