package me.goosemonkey.NoSpawnEggsV2;

import org.bukkit.ChatColor;
import org.bukkit.GameMode;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerEggThrowEvent;

public class ListenerPlayerChickenEgg implements Listener
{
	@EventHandler
	public void onEggThrow(PlayerEggThrowEvent event)
	{
		if (!NoSpawnEggs.getMainConfig().getBoolean("blocking.chickenEgg.enable", true))
			return;
		
		if (NoSpawnEggs.hasPermission(event.getPlayer(), "nse.chickenegg." + event.getPlayer().getGameMode().name().toLowerCase()))
			return;
		
		if (NoSpawnEggs.getMainConfig().getBoolean("blocking.chickenEgg.onlyBlockCreative", false) && event.getPlayer().getGameMode() == GameMode.SURVIVAL)
			return;
		
		if (NoSpawnEggs.getMainConfig().getStringList("blocking.chickenEgg.ignoredWorlds") != null)
			if (NoSpawnEggs.getMainConfig().getStringList("blocking.chickenEgg.ignoredWorlds").contains(event.getPlayer().getWorld().getName()))
				return;
		
		event.setHatching(false);
		
		if (NoSpawnEggs.getMainConfig().getBoolean("blocking.chickenEgg.sendMessage", true))
			event.getPlayer().sendMessage(ChatColor.GOLD + NoSpawnEggs.getLocaleConfig().getString("message.noChickenEggPerms", "You don't have permission to spawn Chickens with eggs."));
	}
}
